addHook("PlayerThink", function(player)
	if player.mo
	and player.mo.valid
	and player.playerstate == PST_LIVE
		if player.mo.td_jumpscare == nil
			player.mo.td_jumpscare = 0
		elseif player.mo.td_jumpscare > 0
			player.mo.td_jumpscare = $1 - 1
			
			if player.mo.td_jumpscare == 1*TICRATE-1
				S_StartSound(player.mo, sfx_tdscre)
			end
		end
	end
end)

local shakex = 0
local shakey = 0

addHook("PlayerThink", function(player)
    if player.mo and player.mo.valid then
    end
end)

local function td_jumpscare(v, player)
    if player.mo and player.mo.valid then
        if not (player.mo.td_jumpscare) then return end
		local tdjump = v.cachePatch("TDSCAR"+tostring((leveltime%8)/2))
        v.drawFill()
        if player.mo.td_jumpscare then
            v.draw(shakey,shakex,tdjump,V_OFFSET)
        end
    end
end

hud.add(td_jumpscare, "game")

addHook("LinedefExecute", function(line, mo, sector)
	if mo
	and mo.valid
	and mo.player
	and mo.player.playerstate == PST_LIVE
		if mo.td_jumpscare != nil
		mo.td_jumpscare = 1*TICRATE
		end
	end
end, "TDSCARE")